@echo off
cls
echo.
echo  ---------------------------------------------------------------
echo   This batch file assembles TICKCNT.ASM to create TICKCNT.OBJ,
echo   and then invokes LINK and LIB to create a Quick library (.QLB)
echo   and the parallel object-module library (.LIB), both of which
echo   include the procedures in the default Quick Library (QB.QLB).
echo.
echo   This batch file assumes that ML.EXE, ML.ERR, QB.LIB and
echo   BQLB45.LIB are in the current directory, and that LINK.EXE
echo   and LIB.EXE are in the current directory or somewhere on
echo   the search path.
echo.
echo   This batch file is QuickBASIC 4.5 specific. Refer to the
echo   comments for information on adapting it for PDS.
echo  ---------------------------------------------------------------
echo.
echo Press any key to proceed...
pause > nul
cls
echo.
@echo Creating MOUSELIB.OBJ:
echo.

if exist tickcnt.obj del tickcnt.obj

rem ------------------------------------------------------
rem The /Fl option creates a default listing of the
rem assembled lines. The /Sa option causes the listing
rem to include all source lines, including false
rem conditionals and generated code.
rem
rem The /c option (must be lower case) causes ML to
rem skip the linking process. 
rem ------------------------------------------------------

ML /Fl /Sa /c tickcnt.asm
if exist tickcnt.obj goto asm_ok
goto err

:asm_ok

rem ------------------------------------------------------
rem  The library names QB.LIB and BQLB45.LIB are for
rem  QuickBASIC 4.5. For PDS 7.0 (and 7.1 ?), the names
rem  should be QBX.LIB and QBXQLB.LIB (not verified).
rem ------------------------------------------------------

rem ------------------------------------------------------
rem  For information about the LINK and LIB command lines,
rem  run the programs with the /HELP option.
rem ------------------------------------------------------

echo.
@echo Creating QBTICKC.QLB:

rem ------------------------------------------------------
rem  Specifying QB.LIB in the objects field causes LINK to
rem  include all of the procedures in the library.
rem ------------------------------------------------------

if exist qbtickc.qlb del qbtickc.qlb
link /q /noe /nod:brun45.lib tickcnt.obj qb.lib, qbtickc.qlb,,bqlb45.lib;
if exist qbtickc.qlb goto link_ok
goto err

:link_ok

echo.
@echo Creating QBTICKC.LIB:

rem ------------------------------------------------------
rem  We need to delete QBTICKC.LIB not only so we
rem  can detect a LIB error, but also to avoid a 
rem  "module redifinition ignored" warning.
rem ------------------------------------------------------

if exist qbtickc.lib del qbtickc.lib
lib qbtickc.lib+tickcnt.obj+qb.lib;
if exist qbtickc.lib goto lib_ok
goto err

:lib_ok

echo *** OK ***

:err
echo.
echo PRESS ANY KEY TO EXIT...
echo.
pause > nul
